summaryrefslogtreecommitdiffstats
path: root/conf.d/project/data/replay_launcher.sh
diff options
context:
space:
mode:
Diffstat (limited to 'conf.d/project/data/replay_launcher.sh')
-rwxr-xr-xconf.d/project/data/replay_launcher.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/conf.d/project/data/replay_launcher.sh b/conf.d/project/data/replay_launcher.sh
new file mode 100755
index 0000000..3d4d08e
--- /dev/null
+++ b/conf.d/project/data/replay_launcher.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+PLAYER=$(which canplayer)
+FILE=$1
+
+if [ $PLAYER ]
+then
+ $PLAYER -I $FILE &
+else
+ echo "can-utils packages not installed"
+ exit 1
+fi
+
+exit 0